Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.retry.notifiers
Class ConnectNotifier

    java.lang.Object
      org.mule.retry.notifiers.ConnectNotifier

All Implemented Interfaces:
  RetryNotifier

    public class ConnectNotifier

extends Object
implements RetryNotifier

Fires a `ConnectionNotification` each time a retry attempt is made.

Field Summary
`protected Log` | `logger`

Constructor Summary
`ConnectNotifier()`

Method Summary
`protected void` | `fireConnectNotification(int action, String description, RetryContext context)`
`void` | `onFailure(RetryContext context, Throwable e)` Called each time a retry attempt fails.
`void` | `onSuccess(RetryContext context)` Called when a retry attempt finally suceeds.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

Constructor Detail

### ConnectNotifier

    public ConnectNotifier()

Method Detail

### onSuccess

    public void onSuccess(RetryContext context)

  Description copied from interface: `RetryNotifier`
  Called when a retry attempt finally suceeds.

  Specified by:
    `onSuccess` in interface `RetryNotifier`

### onFailure

    public void onFailure(RetryContext context,
                          Throwable e)

  Description copied from interface: `RetryNotifier`
  Called each time a retry attempt fails.

  Specified by:
    `onFailure` in interface `RetryNotifier`

### fireConnectNotification

    protected void fireConnectNotification(int action,
                                           String description,
                                           RetryContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.